> For the complete documentation index, see [llms.txt](https://docs.ox.security/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ox.security/api-documentation/api-reference/api--artifact/types/objects/artifacts-response.md).

# artifactsResponse

Response containing artifact information and pagination details.

### Examples

```graphql
type ArtifactsResponse {
  artifacts: [ArtifactInfo]
  offset: Int
  total: Int
  totalFilteredArtifacts: Int
}
```

### Fields

| Field                                                                                                                               | Description                                      | Supported fields                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| ----------------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------ | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| artifacts [`[ArtifactInfo]`](https://docs.ox.security/api-documentation/api-reference/api--artifact/types/objects/artifact-info.md) | List of artifact information items               | <p>vulnDepIssues <code>\[String]</code><br>vulnDepBaseIssues <code>\[String]</code><br>vulnDepInstructionIssues <code>\[String]</code><br>secretIssues <code>\[String]</code><br>sbomIssues <code>\[String]</code><br>counts <a href="https://docs.ox.security/api-documentation/api-reference/api--artifact/types/objects/issue-counts.md"><code>IssueCounts</code></a><br>id <code>String</code><br>appDescription <a href="https://docs.ox.security/api-documentation/api-reference/api--artifact/types/objects/artifact-application.md"><code>ArtifactApplication</code></a><br>artifactInfo <a href="https://docs.ox.security/api-documentation/api-reference/api--artifact/types/objects/i-artifact-info.md"><code>IArtifactInfo</code></a><br>categories <a href="https://docs.ox.security/api-documentation/api-reference/api--artifact/types/objects/artifact-categories.md"><code>\[ArtifactCategories]</code></a><br>artifactCategories <a href="https://docs.ox.security/api-documentation/api-reference/api--artifact/types/objects/artifact-categories.md"><code>\[ArtifactCategories]</code></a><br>registryDescription <a href="https://docs.ox.security/api-documentation/api-reference/api--artifact/types/objects/artifact-registry-description.md"><code>\[ArtifactRegistryDescription]</code></a><br>cloudData <a href="https://docs.ox.security/api-documentation/api-reference/api--artifact/types/objects/cloud-artifact-data.md"><code>\[CloudArtifactData]</code></a><br>totalIssuesBySeverity <a href="https://docs.ox.security/api-documentation/api-reference/api--application/types/objects/severities.md"><code>Severities</code></a><br>packages <a href="https://docs.ox.security/api-documentation/api-reference/api--artifact/types/objects/artifact-package.md"><code>\[ArtifactPackage]</code></a><br>issueSeverityBreakdown <a href="https://docs.ox.security/api-documentation/api-reference/api--artifact/types/objects/issue-severity-breakdown.md"><code>\[IssueSeverityBreakdown]</code></a><br>artifactContext <a href="https://docs.ox.security/api-documentation/api-reference/api--artifact/types/objects/artifact-context-category.md"><code>\[ArtifactContextCategory]</code></a><br>scaSeveritySummary <a href="https://docs.ox.security/api-documentation/api-reference/api--application/types/objects/severities.md"><code>Severities</code></a></p> |
| offset `Int`                                                                                                                        | Pagination offset value for virtualization       |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| total `Int`                                                                                                                         | Total number of artifacts available              |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| totalFilteredArtifacts `Int`                                                                                                        | Total number of artifacts after applying filters |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |

### References

#### Queries using this object:

* [\<?> getArtifacts](https://docs.ox.security/api-documentation/api-reference/api--artifact/queries/get-artifacts.md)
* [\<?> getArtifactsV2](https://docs.ox.security/api-documentation/api-reference/api--artifact/queries/get-artifacts-v2.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.ox.security/api-documentation/api-reference/api--artifact/types/objects/artifacts-response.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
